///
/// Code generated by jsonToDartModel https://ashamp.github.io/jsonToDartModel/
///
class CourseTopicsDataFetchCourseTopicsData {
/*
{
  "id": 2,
  "topicName": "dd hihi"
}
*/

  int? id;
  String? topicName;

  CourseTopicsDataFetchCourseTopicsData({
    this.id,
    this.topicName,
  });
  CourseTopicsDataFetchCourseTopicsData.fromJson(Map<String, dynamic> json) {
    id = json['id']?.toInt();
    topicName = json['topicName']?.toString();
  }
  Map<String, dynamic> toJson() {
    final data = <String, dynamic>{};
    data['id'] = id;
    data['topicName'] = topicName;
    return data;
  }
}

class CourseTopicsDataFetchCourseTopics {
/*
{
  "nextToken": "MQ==",
  "data": [
    {
      "id": 2,
      "topicName": "dd hihi"
    }
  ]
}
*/

  String? nextToken;
  List<CourseTopicsDataFetchCourseTopicsData?>? data;

  CourseTopicsDataFetchCourseTopics({
    this.nextToken,
    this.data,
  });
  CourseTopicsDataFetchCourseTopics.fromJson(Map<String, dynamic> json) {
    nextToken = json['nextToken']?.toString();
    if (json['data'] != null) {
      final v = json['data'];
      final arr0 = <CourseTopicsDataFetchCourseTopicsData>[];
      v.forEach((v) {
        arr0.add(CourseTopicsDataFetchCourseTopicsData.fromJson(v));
      });
      this.data = arr0;
    }
  }
  Map<String, dynamic> toJson() {
    final data = <String, dynamic>{};
    data['nextToken'] = nextToken;
    if (this.data != null) {
      final v = this.data;
      final arr0 = [];
      v!.forEach((v) {
        arr0.add(v!.toJson());
      });
      data['data'] = arr0;
    }
    return data;
  }
}

class CourseTopicsData {
/*
{
  "fetchCourseTopics": {
    "nextToken": "MQ==",
    "data": [
      {
        "id": 2,
        "topicName": "dd hihi"
      }
    ]
  }
}
*/

  CourseTopicsDataFetchCourseTopics? fetchCourseTopics;

  CourseTopicsData({
    this.fetchCourseTopics,
  });
  CourseTopicsData.fromJson(Map<String, dynamic> json) {
    fetchCourseTopics = (json['fetchCourseTopics'] != null) ? CourseTopicsDataFetchCourseTopics.fromJson(json['fetchCourseTopics']) : null;
  }
  Map<String, dynamic> toJson() {
    final data = <String, dynamic>{};
    if (fetchCourseTopics != null) {
      data['fetchCourseTopics'] = fetchCourseTopics!.toJson();
    }
    return data;
  }
}

class CourseTopics {
/*
{
  "data": {
    "fetchCourseTopics": {
      "nextToken": "MQ==",
      "data": [
        {
          "id": 2,
          "topicName": "dd hihi"
        }
      ]
    }
  }
}
*/

  CourseTopicsData? data;

  CourseTopics({
    this.data,
  });
  CourseTopics.fromJson(Map<String, dynamic> json) {
    data = (json['data'] != null) ? CourseTopicsData.fromJson(json['data']) : null;
  }
  Map<String, dynamic> toJson() {
    final data = <String, dynamic>{};
    if (data != null) {
      data['data'] = this.data!.toJson();
    }
    return data;
  }
}
